#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x059f058d, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xe026b2b0, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x10d5c0c8, "");
SYMBOL_CRC(cx18_claim_stream, 0x246c84eb, "");
SYMBOL_CRC(cx18_release_stream, 0x4ded9832, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd473882d, "v4l2_ctrl_handler_log_status" },
	{ 0x7ea5c991, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xecf28df1, "video_devdata" },
	{ 0x2523dd1e, "i2c_new_scanned_device" },
	{ 0x178bc888, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9cfddd54, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x181e7049, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fafc51c, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xd7e23627, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x336da6f4, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x835a1da3, "vb2_ioctl_prepare_buf" },
	{ 0xd131978, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd86ccf3b, "pci_read_config_word" },
	{ 0xf2492af0, "vb2_buffer_done" },
	{ 0xb4347e43, "vb2_plane_vaddr" },
	{ 0xa54379d4, "v4l2_ctrl_subscribe_event" },
	{ 0x8845b47f, "v4l2_fh_init" },
	{ 0x77e41efa, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x222358de, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x3238e22d, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6d204824, "dvb_dmxdev_release" },
	{ 0xf00c6d23, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x71ba80c, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd5e6abc4, "param_ops_short" },
	{ 0x69f680c0, "vb2_vmalloc_memops" },
	{ 0x6ffabc53, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc63eab6, "vb2_fop_read" },
	{ 0x3e8b1622, "v4l2_device_register" },
	{ 0x7fdeb384, "dvb_frontend_detach" },
	{ 0xb045916e, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8c7dc39e, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3cc7e828, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x99edf460, "dvb_unregister_frontend" },
	{ 0xd00f1b0f, "pci_write_config_byte" },
	{ 0xda1bcb0c, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc413bbc6, "vb2_ioctl_streamon" },
	{ 0xd913433e, "vb2_fop_poll" },
	{ 0xaf620702, "v4l2_ctrl_new_std" },
	{ 0x52697013, "v4l2_ctrl_g_ctrl" },
	{ 0x4f11501d, "cx2341x_handler_init" },
	{ 0xf0d468f5, "cx2341x_handler_set_50hz" },
	{ 0xc8cbb481, "v4l2_ctrl_handler_free" },
	{ 0xd67227e9, "v4l2_device_unregister" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0xc4c398f5, "dvb_register_frontend" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x67e41e18, "v4l2_subdev_call_wrappers" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xcaaad4c9, "v4l2_i2c_new_subdev" },
	{ 0x7a9a8878, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xca14caf9, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x3cf111e4, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x642b48eb, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc02f13a2, "v4l2_event_unsubscribe" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4af34097, "vb2_ioctl_reqbufs" },
	{ 0xe03873c5, "vb2_queue_init" },
	{ 0x592f3bcf, "v4l2_fh_exit" },
	{ 0x64e3155a, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5279a89, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2183841f, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc2a21052, "vb2_queue_release" },
	{ 0x317d3eca, "pci_enable_device" },
	{ 0x726c31a3, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x697325f8, "i2c_bit_add_bus" },
	{ 0x489b7c64, "v4l2_fh_del" },
	{ 0x2844303d, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0x65e431e, "vb2_ops_wait_finish" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x90c31f8a, "__pci_register_driver" },
	{ 0x10c0814a, "v4l2_ctrl_handler_init_class" },
	{ 0x29d2e62, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x2f706839, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0xcebfc070, "vb2_ioctl_querybuf" },
	{ 0x28c6eb6e, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x739033e2, "vb2_video_unregister_device" },
	{ 0x22c1a428, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x31b18f37, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ef8b6cb, "dev_driver_string" },
	{ 0xc225b5f, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "169C2525B0A1AC6B9C9E51B");
