#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x136cc824, "usb_submit_urb" },
	{ 0x9cfddd54, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8d264135, "_dev_err" },
	{ 0x7329784c, "usb_free_coherent" },
	{ 0xef2832a8, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56d82278, "usb_control_msg" },
	{ 0xa54379d4, "v4l2_ctrl_subscribe_event" },
	{ 0x8845b47f, "v4l2_fh_init" },
	{ 0x3238e22d, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x62e1bf53, "i2c_new_client_device" },
	{ 0xc1225237, "usb_deregister" },
	{ 0x1e595bc1, "v4l2_device_disconnect" },
	{ 0x746aadd2, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x3e8b1622, "v4l2_device_register" },
	{ 0xaae72120, "i2c_add_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc36a191d, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0x3cc7e828, "__video_register_device" },
	{ 0x7ddc380a, "usb_kill_urb" },
	{ 0xaf620702, "v4l2_ctrl_new_std" },
	{ 0xc8cbb481, "v4l2_ctrl_handler_free" },
	{ 0xd67227e9, "v4l2_device_unregister" },
	{ 0x24534b67, "v4l2_ctrl_log_status" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x6e3535f, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc02f13a2, "v4l2_event_unsubscribe" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ea6e65, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x25b082b5, "v4l2_ctrl_poll" },
	{ 0x2183841f, "video_ioctl2" },
	{ 0x3a9f489f, "usb_free_urb" },
	{ 0x85e29abd, "param_ops_uint" },
	{ 0x8c502d3e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2844303d, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xef5dd581, "usb_register_driver" },
	{ 0x10c0814a, "v4l2_ctrl_handler_init_class" },
	{ 0x2f706839, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7ea5c991, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x30ba4359, "usb_put_dev" },
	{ 0xcf71742e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xecf28df1, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x53f085e, "usb_get_dev" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");
