#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x1643c87a, "");
SYMBOL_CRC(video_device_release, 0xf191b898, "");
SYMBOL_CRC(video_device_release_empty, 0x642b48eb, "");
SYMBOL_CRC(video_devdata, 0xecf28df1, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x3cc7e828, "");
SYMBOL_CRC(video_unregister_device, 0x3238e22d, "");
SYMBOL_CRC(video_device_pipeline_start, 0xcf9891ca, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x6dcacad0, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xd374243f, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xafdd54b0, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x5199995b, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x6b3fe3cb, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x2183841f, "");
SYMBOL_CRC(v4l2_device_register, 0x3e8b1622, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xcb1c90f1, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x183e0100, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x1e595bc1, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xd67227e9, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x0c225b5f, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x749e2f91, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x5594e69e, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x8845b47f, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x2844303d, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xfdfb0186, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x489b7c64, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x592f3bcf, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xef2832a8, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x0d131978, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xdcab1a09, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xa575a6b4, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x53e57b6a, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x77e41efa, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xd7aeb474, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x5bb04443, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xd3c0e6c5, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc02f13a2, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x7066761f, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x98b24638, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x351c75b1, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x67e41e18, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x060686ea, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x82def180, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x6822c2fd, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x7836d989, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x9e3c93a4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xd972fea6, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xc208a705, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xf943f5a3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x2809fa0d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x17d354f8, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xdb423070, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x93491e92, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xe6024b33, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x3ce8b1f4, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x723c75b9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x4517a3d3, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xfc930eb6, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x40804686, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x9a79da1d, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x3247ef35, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x7ba63483, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xaeb8ae1e, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x28c6eb6e, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x245659fb, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x10e3b0ba, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x11019f5c, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x2b26acae, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xe431a37c, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x87580064, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xd2729a8f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xf5d369f3, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xb73be0b0, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x039d2533, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x0a61df94, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x10c0814a, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xc8cbb481, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xcc0cfc1f, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x754507e2, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xaf620702, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x746aadd2, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x81385faf, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x8e152bfe, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xb6869049, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xa32925fd, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xd2ecea51, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x06e3535f, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xdb14d358, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xc36a191d, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x6d40e893, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xf2c7f389, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x7ea5c991, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xd473882d, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x6ce4b38a, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x4066f12f, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x12ef4e25, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xc720417f, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x3aae4b94, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x8df44ba3, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x52697013, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xbdc43385, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x181e7049, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x172d9b54, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x857ae593, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x7d961ca1, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xe9ddb532, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x97696639, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x66e7fff4, "");
SYMBOL_CRC(v4l2_queryctrl, 0xc0a65a34, "");
SYMBOL_CRC(v4l2_querymenu, 0x44e278c8, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x24534b67, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xdeca1298, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xaaf6b69d, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xa54379d4, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x4cd5bd1b, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x25b082b5, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xf67415f1, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x4730ed69, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xfcd41aa7, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x77ef62af, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x4592536c, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xb58f8ae6, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x1967f528, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x1b64c644, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xf1add047, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xb6e97568, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x38a072f7, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xacf9f8a3, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xa0033a47, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xf79f2817, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xb55002b5, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x11fec5dd, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x6d74029f, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x60121a10, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xe89de134, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xb6d3b6a8, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x43fc454a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xf752252b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xce5c64d1, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x2b6deffb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0xc1fd3ad1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x3f7fce30, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xb51b5373, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x9ed8fa79, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xbe18b217, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0xc190ac0d, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xfa9803a9, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xcaaad4c9, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x911ed13d, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1a345e9, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x62e1bf53, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x82773a1c, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xcadcbdf3, "media_pipeline_start" },
	{ 0xa50ca2c2, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xbd383971, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5608f0f1, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x48fa88c, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x314d7c70, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1fa98e2, "led_set_brightness" },
	{ 0x78c832d4, "media_graph_walk_start" },
	{ 0xe9cdf0a0, "media_devnode_create" },
	{ 0xcb004398, "dev_err_probe" },
	{ 0x8bad1bcc, "media_entity_get_fwnode_pad" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x50df4692, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x4712db2b, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x84accefe, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe5e185f2, "class_register" },
	{ 0x5c21d0af, "led_sysfs_disable" },
	{ 0xd7b517e9, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5a6eb9a3, "__dev_fwnode" },
	{ 0xa87ddee2, "pci_bus_type" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0xafa33ff8, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe7bea01, "cdev_alloc" },
	{ 0xb7ceeea1, "media_devnode_remove" },
	{ 0x4f9ce3d2, "try_module_get" },
	{ 0xb114379e, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x78cb218c, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x998fef48, "led_sysfs_enable" },
	{ 0xf93ed23b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf2e7edf8, "fwnode_graph_get_remote_endpoint" },
	{ 0x10482c58, "trace_raw_output_prep" },
	{ 0x1080b7ab, "spi_unregister_device" },
	{ 0x9a7fe4b9, "device_unregister" },
	{ 0xec398b90, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x14dc04fe, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb7b5344a, "media_request_object_unbind" },
	{ 0x1b542a48, "led_put" },
	{ 0xb92d076c, "led_trigger_remove" },
	{ 0xf4f8fe5c, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9eeeca51, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xec8231ae, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0x9f715360, "fwnode_graph_get_port_parent" },
	{ 0xb4e21afe, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee931c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf2b0babe, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfdf09dda, "media_create_intf_link" },
	{ 0x25c0dd52, "media_create_pad_link" },
	{ 0x54e4ad15, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe532bb94, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x56920815, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fea3dfb, "put_device" },
	{ 0x2523dd1e, "i2c_new_scanned_device" },
	{ 0xee866c0d, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a9759c6, "media_request_object_put" },
	{ 0xec677317, "module_put" },
	{ 0xa0aa40a3, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb967f6dd, "media_device_register_entity" },
	{ 0xe0dd69cf, "media_request_get_by_fd" },
	{ 0x8ba12194, "cdev_add" },
	{ 0xd685bda2, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9e13dec, "perf_trace_run_bpf_submit" },
	{ 0x8d264135, "_dev_err" },
	{ 0x172e18ab, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x61fecb72, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d5be722, "spi_new_device" },
	{ 0xe44e624b, "trace_event_reg" },
	{ 0x6522bb20, "media_request_object_bind" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "5544287B40CC3CCD2D43B06");
