#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0xb1452d05, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x950a5731, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x4dafcfac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91ac0bd6, "ocelot_sb_tc_pool_bind_set" },
	{ 0xa8798349, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5aafd4f7, "dsa_mdb_present_in_other_db" },
	{ 0xb0f2896, "ocelot_vcap_filter_add" },
	{ 0xcc21bddb, "ocelot_sb_port_pool_get" },
	{ 0xf41fba3, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xd5012b9d, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x70875dfd, "ocelot_port_inject_frame" },
	{ 0xbd2b3b41, "ocelot_mrp_add" },
	{ 0x4302d73d, "ocelot_sb_occ_port_pool_get" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x940774a1, "ocelot_sb_pool_set" },
	{ 0x52f16f8c, "ocelot_lag_fdb_del" },
	{ 0x22818c77, "ocelot_vcap_filter_del" },
	{ 0x32917a12, "ocelot_cls_flower_stats" },
	{ 0xbe7ea20a, "ocelot_sb_pool_get" },
	{ 0x92e19c90, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1852e42, "ocelot_deinit_port" },
	{ 0x90c396e2, "ocelot_can_inject" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x8bfec02e, "ocelot_port_mirror_add" },
	{ 0xe970d6a0, "ocelot_fdb_dump" },
	{ 0xcc8b1d07, "ocelot_vlan_prepare" },
	{ 0x32b09073, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbe0b768, "ocelot_set_ageing_time" },
	{ 0x35497fbd, "__ocelot_rmw_ix" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x3f2997fa, "ocelot_hwstamp_set" },
	{ 0xa2e82995, "ocelot_port_policer_del" },
	{ 0xc02a3d5e, "ocelot_port_lag_change" },
	{ 0xa79449e6, "consume_skb" },
	{ 0xa3be6544, "ocelot_port_policer_add" },
	{ 0xd86ee2ac, "ocelot_port_mdb_add" },
	{ 0xde708ae6, "ocelot_vlan_add" },
	{ 0x5f3ef5b6, "ocelot_sb_tc_pool_bind_get" },
	{ 0x54b97758, "ocelot_port_bridge_flags" },
	{ 0xf21ecabc, "ocelot_devlink_sb_unregister" },
	{ 0xf89b21d8, "ocelot_port_bridge_leave" },
	{ 0xe7b04d99, "ocelot_port_set_maxlen" },
	{ 0x4a41b101, "ocelot_vcap_filter_replace" },
	{ 0xe25b486c, "ocelot_get_max_mtu" },
	{ 0x6beb2fe5, "regmap_fields_update_bits_base" },
	{ 0xc35b439b, "ocelot_sb_occ_snapshot" },
	{ 0xc6e2bfc5, "ocelot_get_ts_info" },
	{ 0x5c2891ea, "ocelot_sb_occ_max_clear" },
	{ 0x49f02a6b, "ocelot_port_get_mm" },
	{ 0x7bbce5cf, "ocelot_ptp_gettime64" },
	{ 0x7f674910, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd5d3ad1, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xcf159065, "ocelot_port_add_dscp_prio" },
	{ 0x4e4c9faa, "ocelot_drain_cpu_queue" },
	{ 0x2c3c3090, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88e17448, "__ocelot_read_ix" },
	{ 0x6530bd4d, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xffbdc8e7, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ef52981, "ocelot_get_sset_count" },
	{ 0x1fbeeab2, "ocelot_migrate_mdbs" },
	{ 0xc611ca1c, "ocelot_hwstamp_get" },
	{ 0xf8a39d05, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf3a20e1, "ocelot_port_bridge_join" },
	{ 0xb9c3acfb, "ocelot_fdb_add" },
	{ 0x3bfdfa6f, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x503a04bb, "ocelot_xtr_poll_frame" },
	{ 0x7b39a048, "ocelot_port_get_default_prio" },
	{ 0x73ce9df8, "ptp_classify_raw" },
	{ 0xf441b3b1, "ocelot_port_set_default_prio" },
	{ 0xe36ed677, "dsa_tag_8021q_register" },
	{ 0x79ff541a, "ocelot_port_get_mm_stats" },
	{ 0x2ccc57eb, "ocelot_deinit" },
	{ 0x8d264135, "_dev_err" },
	{ 0x79defa4c, "ocelot_vlan_del" },
	{ 0x702bf036, "ocelot_bond_get_id" },
	{ 0x6bf95b10, "kfree_skb_reason" },
	{ 0x8696c7c7, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9ffbf46, "ocelot_cls_flower_destroy" },
	{ 0xc4385371, "ocelot_port_vlan_filtering" },
	{ 0x45924c13, "ocelot_port_get_rmon_stats" },
	{ 0x481d0fd5, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xeb962546, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a1d0933, "ocelot_bridge_stp_state_set" },
	{ 0x43dadb8, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3cce0742, "netif_rx" },
	{ 0xc2c6e3bd, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x22f73b2c, "ocelot_fdb_del" },
	{ 0xd128fd92, "ocelot_phylink_mac_link_down" },
	{ 0x1c6c3c76, "ocelot_port_lag_join" },
	{ 0x67d40dee, "ocelot_port_get_eth_phy_stats" },
	{ 0x35505635, "ocelot_port_lag_leave" },
	{ 0x4c103043, "ocelot_mrp_add_ring_role" },
	{ 0x553c8cc4, "ocelot_port_set_mm" },
	{ 0xee48db4a, "ocelot_deinit_timestamp" },
	{ 0xa2838350, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x822a8023, "ocelot_port_get_stats64" },
	{ 0x7f8ddcd9, "ocelot_port_get_dscp_prio" },
	{ 0x271f262a, "ocelot_port_mdb_del" },
	{ 0x5327e066, "ocelot_port_get_eth_mac_stats" },
	{ 0xca7eeb96, "ocelot_mact_flush" },
	{ 0xd4c5f4f8, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2934d6f9, "ocelot_port_pre_bridge_flags" },
	{ 0x9f427f40, "ocelot_port_del_dscp_prio" },
	{ 0xb4752ecc, "ocelot_mrp_del_ring_role" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "961DA740CBAE572DC787D49");
