#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x7e69f7c7, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x30f1fcb2, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x782da653, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x49b52a24, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcb139173, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76a8999, "gro_cells_init" },
	{ 0x840b89a8, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32bf92a, "skb_copy" },
	{ 0xa79449e6, "consume_skb" },
	{ 0x471cb2c9, "skb_push" },
	{ 0xcc990b56, "skb_put" },
	{ 0xe88a7606, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3a2ed47e, "skb_to_sgvec" },
	{ 0xf2d42857, "crypto_aead_encrypt" },
	{ 0x5ae17764, "skb_copy_expand" },
	{ 0x411a052c, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcaa1e307, "skb_clone" },
	{ 0x21b1faf0, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5ab2e519, "crypto_aead_decrypt" },
	{ 0xf5f04255, "__pskb_pull_tail" },
	{ 0x2737d0e3, "netdev_rx_handler_unregister" },
	{ 0xed061d1c, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x28900641, "netif_carrier_off" },
	{ 0x1f3e2a3e, "dev_mc_unsync" },
	{ 0x660943a7, "dev_uc_unsync" },
	{ 0xb9976cc, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe79ff324, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa258846c, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5c0a78dc, "genlmsg_put" },
	{ 0x5068497, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x74d19fff, "rtnl_link_register" },
	{ 0x79a31840, "genl_register_family" },
	{ 0x2ea926d, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x1487e5c0, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3d41192, "crypto_alloc_aead" },
	{ 0x3977df77, "crypto_aead_setkey" },
	{ 0x490722fc, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xffea2966, "skb_pull" },
	{ 0xad1d8b78, "___pskb_trim" },
	{ 0xc39472c1, "ether_setup" },
	{ 0xb67da47e, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xa1bd31bf, "dev_mc_sync" },
	{ 0x7eb6077a, "dev_uc_sync" },
	{ 0xe701ee58, "dev_set_allmulti" },
	{ 0x856143a4, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x83817cd2, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0xccf871c9, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x58e2fc87, "eth_type_trans" },
	{ 0x2e460a4, "gro_cells_receive" },
	{ 0x6bf95b10, "kfree_skb_reason" },
	{ 0xb1613586, "__dev_get_by_index" },
	{ 0x13bb3bf6, "register_netdevice" },
	{ 0x44f079f5, "netdev_upper_dev_link" },
	{ 0x4d4f6d88, "netdev_upper_dev_unlink" },
	{ 0xe6cbd5e1, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcee4b110, "metadata_dst_alloc" },
	{ 0xd01be76f, "netif_stacked_transfer_operstate" },
	{ 0xf54b5faf, "linkwatch_fire_event" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B4F6605ACAFA5C517A095A");
