#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14d71d88, "__mdiobus_write" },
	{ 0x1724968e, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6c522e70, "__mdiobus_read" },
	{ 0xd1f7bbb4, "bcm_phy_read_exp" },
	{ 0x99d15e58, "bcm_phy_write_exp" },
	{ 0x67e30b8, "bcm_phy_get_sset_count" },
	{ 0x431c7cd3, "devm_gpiod_get" },
	{ 0x9bc0b5fe, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0xb43678bd, "device_set_wakeup_capable" },
	{ 0x52207c74, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1aa0733f, "pm_wakeup_dev_event" },
	{ 0x98dd0698, "genphy_resume" },
	{ 0x3f88eba8, "genphy_soft_reset" },
	{ 0x1b61b245, "bcm_phy_config_intr" },
	{ 0xfa85184, "bcm_phy_handle_interrupt" },
	{ 0x7849fd4b, "bcm_phy_get_strings" },
	{ 0x1d31fb15, "bcm_phy_led_brightness_set" },
	{ 0xf47bf750, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54633244, "phy_drivers_register" },
	{ 0xc6e50c6d, "mdiobus_read" },
	{ 0xf27ef8f4, "genphy_read_status" },
	{ 0x26a50260, "phy_trigger_machine" },
	{ 0x65fbf1c6, "phy_error" },
	{ 0x5931d931, "bcm54xx_auxctl_read" },
	{ 0xaff58e93, "bcm54xx_auxctl_write" },
	{ 0x8743e48, "bcm_phy_read_shadow" },
	{ 0xd1a1aa8e, "bcm_phy_write_shadow" },
	{ 0x4c5ed32, "__genphy_config_aneg" },
	{ 0x82a0a452, "genphy_c37_read_status" },
	{ 0xe6ef8f6c, "genphy_c37_config_aneg" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x2121a2e6, "bcm_phy_get_wol" },
	{ 0x26056054, "bcm_phy_set_wol" },
	{ 0xa215d859, "bcm_phy_get_stats" },
	{ 0xfca50919, "phy_drivers_unregister" },
	{ 0x9da9ddad, "phy_modify" },
	{ 0xd88b69de, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "33AC2F54D83C6B6BA365DC5");
