#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x48c8138b, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xed90e274, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x7333cc84, "");
SYMBOL_CRC(vcc_release_async, 0xe989a66a, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x30b50406, "");
SYMBOL_CRC(atm_dev_signal_change, 0x96c05ff5, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x2274024b, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xd048c9bb, "");
SYMBOL_CRC(atm_alloc_charge, 0x47ac531f, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x7a4fdc43, "");
SYMBOL_CRC(atm_dev_lookup, 0x62e28c5c, "");
SYMBOL_CRC(atm_dev_register, 0xe4126450, "");
SYMBOL_CRC(atm_dev_deregister, 0x65b94fab, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x5b5b663c, "sock_register" },
	{ 0x1522388e, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fea3dfb, "put_device" },
	{ 0xf7491cb5, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa70c427f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd3a43d9e, "skb_queue_tail" },
	{ 0xec677317, "module_put" },
	{ 0x99c5ad17, "device_create_file" },
	{ 0xeee0a7d5, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9521b9d8, "noop_llseek" },
	{ 0xe8d3b0b5, "sk_free" },
	{ 0xf19ded45, "sock_wake_async" },
	{ 0x6bf95b10, "kfree_skb_reason" },
	{ 0xe5ba3ef, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd161d254, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xed824980, "seq_putc" },
	{ 0xc69eb759, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x581f5be4, "lock_sock_nested" },
	{ 0xf29ec0c, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb9e45193, "sk_alloc" },
	{ 0x82773a1c, "device_register" },
	{ 0xd2c6575c, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x4f127b39, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xf8d5c1df, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a01ddc9, "skb_recv_datagram" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2c1bd57d, "remove_proc_entry" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x47035418, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x65b7910e, "sock_gettstamp" },
	{ 0x5941c428, "_proc_mkdir" },
	{ 0x61fba6b6, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xae194ce8, "dev_kfree_skb_any_reason" },
	{ 0x601de4ee, "iov_iter_revert" },
	{ 0x42943260, "proc_create_seq_private" },
	{ 0xe5e185f2, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf7aab3d, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0xa9056dff, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa2625e33, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x10a2e1f, "skb_free_datagram" },
	{ 0x4f9ce3d2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcc990b56, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf93ed23b, "dev_set_name" },
	{ 0xa79449e6, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xa46a025e, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0xce4ff4b2, "proc_create_data" },
	{ 0x4edec58b, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x1270a6bc, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3a33a4c8, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FE9AF7673A6BF535984A6EE");
