#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x8628980e, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xe417e5ad, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x5b2cf81b, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x2b8ff986, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x469b4c44, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xedf2960b, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x6daa7719, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xa048cd75, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x166b9a9b, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xe9e4faaa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e0deed3, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x8de30dad, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa9d0b7e, "iptunnel_xmit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa5f3115a, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5068497, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x22e97f5f, "__dynamic_netdev_dbg" },
	{ 0x479e80ce, "dst_cache_get_ip4" },
	{ 0xeee31e09, "sock_create_kern" },
	{ 0xc9b85ef4, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcee4b110, "metadata_dst_alloc" },
	{ 0x411a052c, "dst_release" },
	{ 0xb11b0e, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbabf94d1, "sock_bindtoindex" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xafeb36a9, "dst_cache_set_ip4" },
	{ 0xe6a93c77, "kernel_bind" },
	{ 0x7f524c0b, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x342c79fb, "netdev_warn" },
	{ 0x10891940, "udp_tunnel_nic_ops" },
	{ 0x920ff9a7, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4493AA995C0ED73C34AD0A");
