#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x97b5b2a5, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0xa1a5ee9a, "");
SYMBOL_CRC(rtrs_clt_open, 0x9227adfe, "");
SYMBOL_CRC(rtrs_clt_close, 0x476efe17, "");
SYMBOL_CRC(rtrs_clt_request, 0x0ad2f4b9, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x9e09b492, "");
SYMBOL_CRC(rtrs_clt_query, 0x79cffddd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x66a0976, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2af4837, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4fea3dfb, "put_device" },
	{ 0x274249bf, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x3ee3eb59, "rdma_resolve_route" },
	{ 0x8aec4f71, "rtrs_iu_free" },
	{ 0x98adf176, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd9e13dec, "perf_trace_run_bpf_submit" },
	{ 0xeee0a7d5, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x231e1ce2, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1a4557e2, "kobj_sysfs_ops" },
	{ 0xd7bf4984, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe44e624b, "trace_event_reg" },
	{ 0x2ebd47a2, "iov_iter_kvec" },
	{ 0xb66b09a1, "rtrs_iu_post_recv" },
	{ 0xa47f69fe, "kobject_init_and_add" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2e31b901, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9a09be0f, "sysfs_remove_file_self" },
	{ 0x2d96ca04, "bpf_trace_run1" },
	{ 0xd2c6575c, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6ffabc53, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4d16de13, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93853658, "rdma_connect_locked" },
	{ 0x775d45a2, "rdma_set_reuseaddr" },
	{ 0x465c8cc2, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6e0de624, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7c805359, "ib_dma_virt_map_sg" },
	{ 0x4a2123b0, "kobject_del" },
	{ 0x48fa88c, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x730622c8, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x21e67199, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd54fae4, "kobject_uevent" },
	{ 0x47035418, "_copy_from_iter" },
	{ 0x228ee260, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x571ffcd1, "dma_unmap_sg_attrs" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x4287316b, "rtrs_cq_qp_create" },
	{ 0xbcd0adda, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x4410584c, "rtrs_init_hb" },
	{ 0x58b9c310, "rdma_consumer_reject_data" },
	{ 0x6aa163a, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x4a7601a6, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe5ead265, "rtrs_iu_alloc" },
	{ 0xe5e185f2, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x776d352c, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3669df6c, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x416300b6, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf93ed23b, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x10482c58, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9a7fe4b9, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec398b90, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x14dc04fe, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5f17dd8a, "rdma_resolve_addr" },
	{ 0x29d2e62, "dma_sync_single_for_device" },
	{ 0x3e76f164, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9eeeca51, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb03e3721, "rtrs_post_recv_empty" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0x66278e6a, "ib_dereg_mr_user" },
	{ 0x9fd52e3e, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc73b8340, "rtrs_iu_post_rdma_write_imm" },
	{ 0xc0fd5029, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6f8dfd1d, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x54e4ad15, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46ae5216, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "CE540A20197C48B43F92E7A");
