#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x19665a7c, "");
SYMBOL_CRC(phy_get_rate_matching, 0x483717dc, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x8417c111, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x68e3c983, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xf6a5712d, "");
SYMBOL_CRC(phy_mii_ioctl, 0x96949c66, "");
SYMBOL_CRC(phy_do_ioctl, 0x6c72e1ce, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xea874f4e, "");
SYMBOL_CRC(phy_queue_state_machine, 0xe5c2c0ac, "");
SYMBOL_CRC(phy_trigger_machine, 0x26a50260, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xa8526bf8, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x6fcdef7e, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x6a728636, "");
SYMBOL_CRC(phy_start_cable_test, 0xeb37fe0e, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xb372b687, "");
SYMBOL_CRC(phy_config_aneg, 0xef2d78b1, "");
SYMBOL_CRC(_phy_start_aneg, 0xd6f76e33, "");
SYMBOL_CRC(phy_start_aneg, 0xe9cedb9c, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x749c1e99, "");
SYMBOL_CRC(phy_speed_down, 0x3783f6ee, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x02ddcda7, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x00f5fb53, "_gpl");
SYMBOL_CRC(phy_error, 0x65fbf1c6, "");
SYMBOL_CRC(phy_request_interrupt, 0x86030721, "");
SYMBOL_CRC(phy_free_interrupt, 0x00c2defd, "");
SYMBOL_CRC(phy_stop, 0xf6ab8d7e, "");
SYMBOL_CRC(phy_start, 0x1a23a725, "");
SYMBOL_CRC(phy_mac_interrupt, 0x70191a9e, "");
SYMBOL_CRC(phy_init_eee, 0x4a7be37e, "");
SYMBOL_CRC(phy_get_eee_err, 0xd239dca5, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xa548a099, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xb97e6682, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xee1f5c21, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x5330a23c, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xf82978ab, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x83203b1f, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x9f680af2, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x41b06697, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x11a3fa81, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x63c22792, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xb7bbabe0, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x0698ab1d, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x6b15b82a, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x6339fe5c, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xa937c695, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x1e07ec4e, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xae042839, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xb5c7c841, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x85c69568, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xef6ea815, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x43b5c695, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xf27ed6a5, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x1b06d243, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0xd8043365, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x62cabe3d, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x81c72213, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xd6dd53b8, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x993171ae, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xb5d32c46, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x379ff120, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xe2ecb483, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x41c347b5, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xb0e5ab47, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x948318ad, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x5a3f4f4d, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xf294360a, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xfe2644f4, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xc6ddaa01, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x33e02f88, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x74434b46, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x0ed56740, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x5c18897a, "");
SYMBOL_CRC(phy_read_mmd, 0xf4fba292, "");
SYMBOL_CRC(__phy_write_mmd, 0xa63df0f2, "");
SYMBOL_CRC(phy_write_mmd, 0x1cb26192, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x97841eb0, "");
SYMBOL_CRC(phy_package_read_mmd, 0x5570d221, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xa10ad33a, "");
SYMBOL_CRC(phy_package_write_mmd, 0xef6fa06d, "");
SYMBOL_CRC(phy_modify_changed, 0xced5c460, "_gpl");
SYMBOL_CRC(__phy_modify, 0x1724968e, "_gpl");
SYMBOL_CRC(phy_modify, 0x9da9ddad, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xf856f76f, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xdb65c1d3, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xbf7bb2f0, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xa38eb24e, "_gpl");
SYMBOL_CRC(phy_save_page, 0x38961b9f, "_gpl");
SYMBOL_CRC(phy_select_page, 0x3fd613ba, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xea415b9d, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x1cfcf462, "");
SYMBOL_CRC(phy_write_paged, 0x55fcc6b2, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x66ccc8c2, "");
SYMBOL_CRC(phy_modify_paged, 0x1c3963d9, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0xf32e7b1c, "");
SYMBOL_CRC(phy_register_fixup, 0xe0779fdd, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xc927b063, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x29f5dce4, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x491fc9d2, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xc71f8bb9, "");
SYMBOL_CRC(get_phy_device, 0x9ad65f08, "");
SYMBOL_CRC(phy_device_register, 0xd9232665, "");
SYMBOL_CRC(phy_device_remove, 0x1302c87c, "");
SYMBOL_CRC(phy_get_c45_ids, 0xf4d76c7c, "");
SYMBOL_CRC(phy_find_first, 0xcdce5b8a, "");
SYMBOL_CRC(phy_connect_direct, 0x5c752bd5, "");
SYMBOL_CRC(phy_connect, 0x1ab891f1, "");
SYMBOL_CRC(phy_disconnect, 0x227de266, "");
SYMBOL_CRC(phy_init_hw, 0xaee09aef, "");
SYMBOL_CRC(phy_attached_info, 0x14d76d23, "");
SYMBOL_CRC(phy_attached_info_irq, 0x38daf8cf, "");
SYMBOL_CRC(phy_attached_print, 0x92499b4b, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x87f1eb0d, "");
SYMBOL_CRC(phy_attach_direct, 0x6b3a4065, "");
SYMBOL_CRC(phy_attach, 0xa37498f8, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x83015f04, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x2199c11a, "_gpl");
SYMBOL_CRC(phy_package_join, 0x5a29693c, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x6d3bde30, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x6a1737c9, "_gpl");
SYMBOL_CRC(phy_detach, 0x085b0af9, "");
SYMBOL_CRC(phy_suspend, 0xbe7c31b3, "");
SYMBOL_CRC(__phy_resume, 0x36815c83, "");
SYMBOL_CRC(phy_resume, 0x40bea4fc, "");
SYMBOL_CRC(phy_loopback, 0x208a6b78, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x93b8ce83, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x4167286f, "");
SYMBOL_CRC(genphy_setup_forced, 0x646a0e3a, "");
SYMBOL_CRC(genphy_read_master_slave, 0xa71a9b44, "");
SYMBOL_CRC(genphy_restart_aneg, 0xd71f5796, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x486c812d, "");
SYMBOL_CRC(__genphy_config_aneg, 0x04c5ed32, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xe6ef8f6c, "");
SYMBOL_CRC(genphy_aneg_done, 0x7feff972, "");
SYMBOL_CRC(genphy_update_link, 0x2ad5fdf7, "");
SYMBOL_CRC(genphy_read_lpa, 0xf65dc1bf, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x0de90f83, "");
SYMBOL_CRC(genphy_read_status, 0xf27ef8f4, "");
SYMBOL_CRC(genphy_c37_read_status, 0x82a0a452, "");
SYMBOL_CRC(genphy_soft_reset, 0x3f88eba8, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x0c91848b, "");
SYMBOL_CRC(genphy_read_abilities, 0x88819cb7, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xd0af74ca, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x1e004a64, "");
SYMBOL_CRC(genphy_suspend, 0xf47bf750, "");
SYMBOL_CRC(genphy_resume, 0x98dd0698, "");
SYMBOL_CRC(genphy_loopback, 0x8d5e931b, "");
SYMBOL_CRC(phy_remove_link_mode, 0x91ef763d, "");
SYMBOL_CRC(phy_advertise_supported, 0x5d12d962, "");
SYMBOL_CRC(phy_support_sym_pause, 0xc4e735a4, "");
SYMBOL_CRC(phy_support_asym_pause, 0x28092e34, "");
SYMBOL_CRC(phy_set_sym_pause, 0x1177fbe1, "");
SYMBOL_CRC(phy_set_asym_pause, 0x5f4cee17, "");
SYMBOL_CRC(phy_validate_pause, 0x9e1ac4fe, "");
SYMBOL_CRC(phy_get_pause, 0x55abd3fa, "");
SYMBOL_CRC(phy_get_internal_delay, 0xb5990633, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x4f442d84, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x2795fe8f, "");
SYMBOL_CRC(device_phy_find_device, 0xa2ddb062, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x7cc71a31, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xab3677b3, "");
SYMBOL_CRC(phy_drivers_register, 0x54633244, "");
SYMBOL_CRC(phy_driver_unregister, 0x64f44454, "");
SYMBOL_CRC(phy_drivers_unregister, 0xfca50919, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x5cb899b9, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x7599746d, "");
SYMBOL_CRC(mdiobus_get_phy, 0xbaf7402b, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xc8995237, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xb35d6d86, "");
SYMBOL_CRC(mdio_find_bus, 0x51ce284e, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x6f32f8fb, "");
SYMBOL_CRC(__mdiobus_register, 0x2f9ea322, "");
SYMBOL_CRC(mdiobus_unregister, 0xeb074b23, "");
SYMBOL_CRC(mdiobus_free, 0x9bcff13d, "");
SYMBOL_CRC(__mdiobus_read, 0x6c522e70, "");
SYMBOL_CRC(__mdiobus_write, 0x14d71d88, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xc746ab9b, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x1fd1a73f, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x85ddef1a, "");
SYMBOL_CRC(mdiobus_read_nested, 0x3c9d667d, "");
SYMBOL_CRC(mdiobus_read, 0xc6e50c6d, "");
SYMBOL_CRC(mdiobus_c45_read, 0x5e6e54dc, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xc94863b6, "");
SYMBOL_CRC(mdiobus_write_nested, 0x2095b335, "");
SYMBOL_CRC(mdiobus_write, 0xd88b69de, "");
SYMBOL_CRC(mdiobus_c45_write, 0x95ac98ba, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x4c39bc95, "");
SYMBOL_CRC(__mdiobus_modify, 0xa2994dfc, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xb357add2, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x1ede8d82, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x5e78bc1e, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x895fde39, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x67c42da7, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x49c5e691, "");
SYMBOL_CRC(mdio_device_create, 0x985b40c5, "");
SYMBOL_CRC(mdio_device_register, 0xd8a1fac8, "");
SYMBOL_CRC(mdio_device_remove, 0xfd0c5c11, "");
SYMBOL_CRC(mdio_device_reset, 0x0628d241, "");
SYMBOL_CRC(mdio_driver_register, 0x24e32029, "");
SYMBOL_CRC(mdio_driver_unregister, 0x1cecc2b0, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xe2e790ca, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xbaae1b52, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x7700aca1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdb8673d, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5a66a8a3, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xec398b90, "__trace_trigger_soft_disabled" },
	{ 0xfa024e69, "gpiod_set_value_cansleep" },
	{ 0x14dc04fe, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x3e76f164, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x9eeeca51, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x87731877, "devm_gpiod_get_optional" },
	{ 0xee931c, "get_device" },
	{ 0xf2b0babe, "__dynamic_dev_dbg" },
	{ 0x1868f36d, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x54e4ad15, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe532bb94, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1aa0733f, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fea3dfb, "put_device" },
	{ 0x94d60e9b, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfeca253d, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xec677317, "module_put" },
	{ 0x22bd52b8, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xd9e13dec, "perf_trace_run_bpf_submit" },
	{ 0x8e76c02a, "bus_unregister" },
	{ 0x89afeb11, "devm_kfree" },
	{ 0x8d264135, "_dev_err" },
	{ 0x80138679, "bus_find_device" },
	{ 0x231e1ce2, "device_add" },
	{ 0x58f72db, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x83e28a4d, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xe44e624b, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xccdffb42, "is_acpi_data_node" },
	{ 0x3ee816b9, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf5d96014, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x3dad31e, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x82773a1c, "device_register" },
	{ 0xd2c6575c, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf33059c5, "device_bind_driver" },
	{ 0xbd383971, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xac3b3095, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdab0bdea, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1f8d6217, "netdev_alert" },
	{ 0xcacf97d8, "ethnl_cable_test_alloc" },
	{ 0xa0fad892, "fwnode_find_reference" },
	{ 0x5f6b8c63, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x48fa88c, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf54b5faf, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5217549c, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28900641, "netif_carrier_off" },
	{ 0x2903902f, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35e4c551, "led_trigger_register" },
	{ 0xa258846c, "netif_carrier_on" },
	{ 0x9bd32b61, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7cdc9b02, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x69248bc4, "sysfs_create_link_nowarn" },
	{ 0xcb004398, "dev_err_probe" },
	{ 0xb4d24455, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x50df4692, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xb7e04be2, "led_trigger_event" },
	{ 0xba9b7609, "device_release_driver" },
	{ 0x6ebf302e, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x906926a6, "gpiod_set_consumer_name" },
	{ 0x498543ae, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbf0f34a2, "driver_register" },
	{ 0xe5e185f2, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5a6eb9a3, "__dev_fwnode" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x55c11287, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f75895, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xa768ecb4, "class_find_device" },
	{ 0xbd558c64, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4f9ce3d2, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6ab8a20f, "is_acpi_device_node" },
	{ 0x4e54b72f, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0xca15a016, "sysfs_create_file_ns" },
	{ 0xf93ed23b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x10482c58, "trace_raw_output_prep" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7246E883306C8FFD8EC0B08");
