#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x03f657eb, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xb0f5c536, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xcb76a8b6, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xd10d81a2, "_gpl");
SYMBOL_CRC(p54_rx, 0x0d408e2c, "_gpl");
SYMBOL_CRC(p54_init_common, 0x43c81751, "_gpl");
SYMBOL_CRC(p54_register_common, 0xea970449, "_gpl");
SYMBOL_CRC(p54_free_common, 0xe67fdcad, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xd08afee1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3909ba15, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x458a8371, "__ieee80211_get_tx_led_name" },
	{ 0x1270a6bc, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x274d57bb, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x38cb7023, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xad4dd7f0, "__ieee80211_get_rx_led_name" },
	{ 0xfeca253d, "_dev_info" },
	{ 0xd3a43d9e, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa185f7a4, "ieee80211_queue_delayed_work" },
	{ 0x8d264135, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xffea2966, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x471cb2c9, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x208cb8ed, "ieee80211_free_txskb" },
	{ 0xf80ce98c, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86eea1b3, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xbd383971, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a92eb86, "ieee80211_stop_queue" },
	{ 0x53c85421, "__netdev_alloc_skb" },
	{ 0x5068497, "skb_trim" },
	{ 0x9e822675, "skb_unlink" },
	{ 0x27c3e277, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x25bd66de, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xba6f88d9, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe266fa6, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xae194ce8, "dev_kfree_skb_any_reason" },
	{ 0x6589b4f6, "_dev_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x488b415b, "ieee80211_rx_irqsafe" },
	{ 0x62694dc4, "skb_queue_head" },
	{ 0xcc990b56, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa79449e6, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa46a025e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x410590c7, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56a8b2a1, "ieee80211_beacon_loss" },
	{ 0x2b6bbf6d, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x99125b5d, "led_classdev_unregister" },
	{ 0x97c45d29, "ieee80211_register_hw" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xec6d2d9c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbaab025e, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B71C045AC6641771922B8C7");
