#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xe687f431, "");
SYMBOL_CRC(rtw_sdio_probe, 0x4c56f367, "");
SYMBOL_CRC(rtw_sdio_remove, 0x343b8f54, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x21dc0f37, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cdfec7e, "sdio_set_host_pm_flags" },
	{ 0xa9953354, "rtw_chip_info_setup" },
	{ 0x67ae9b1, "rtw_unregister_hw" },
	{ 0x8d264135, "_dev_err" },
	{ 0xc904812, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x471cb2c9, "skb_push" },
	{ 0x8a3c904f, "rtw_core_init" },
	{ 0xc6d4b07, "sdio_readl" },
	{ 0x86eea1b3, "ieee80211_alloc_hw_nm" },
	{ 0xe19f4a50, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xbd383971, "_dev_warn" },
	{ 0x7dd715b2, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53c85421, "__netdev_alloc_skb" },
	{ 0xa45a3d08, "rtw_rx_stats" },
	{ 0x64ad8d7, "rtw_register_hw" },
	{ 0x48979ede, "rtw_core_deinit" },
	{ 0xe08ad62d, "rtw_ops" },
	{ 0xf880279b, "sdio_claim_irq" },
	{ 0x4db21cc, "skb_copy_header" },
	{ 0xc9a0a2a9, "sdio_enable_func" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xae194ce8, "dev_kfree_skb_any_reason" },
	{ 0xd7e44d98, "rtw_power_mode_change" },
	{ 0x745e6306, "rtw_tx_write_data_h2c_get" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0x528a689c, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x488b415b, "ieee80211_rx_irqsafe" },
	{ 0x62694dc4, "skb_queue_head" },
	{ 0x14a3681, "sdio_readb" },
	{ 0x1de84f60, "sdio_writeb" },
	{ 0x9f426bba, "rtw_tx_report_enqueue" },
	{ 0xa098c0af, "sdio_release_host" },
	{ 0x5afb19fc, "rtw_tx_queue_mapping" },
	{ 0x13caaa74, "sdio_disable_func" },
	{ 0x87f265d2, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc990b56, "skb_put" },
	{ 0x11d987d4, "sdio_claim_host" },
	{ 0x4497f32e, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa46a025e, "skb_dequeue" },
	{ 0x410590c7, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0x5c527a55, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1270a6bc, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24161586, "sdio_align_size" },
	{ 0x38cb7023, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3dd56419, "sdio_release_irq" },
	{ 0xd3a43d9e, "skb_queue_tail" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "48876C5BCC064AB0D912E59");
