#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xf316660a, "");
SYMBOL_CRC(wpan_phy_for_each, 0xd81724cf, "");
SYMBOL_CRC(wpan_phy_new, 0x866c67ce, "");
SYMBOL_CRC(wpan_phy_register, 0x3a552d6b, "");
SYMBOL_CRC(wpan_phy_unregister, 0x32cf5946, "");
SYMBOL_CRC(wpan_phy_free, 0x172746c5, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x734f36ab, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x4168f057, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xca679f5e, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x878cbbc3, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x8cffdbc2, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x9c529775, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x82d75305, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xf8705d02, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x57df85aa, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x2a5e0287, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xb09f7430, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xec5fe193, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x9ac61a57, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x07f3a44b, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xfdf82f87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55a43fb, "nla_put" },
	{ 0xe44e624b, "trace_event_reg" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b7b1b4, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d96ca04, "bpf_trace_run1" },
	{ 0xd2c6575c, "device_del" },
	{ 0x588f1419, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf5f04255, "__pskb_pull_tail" },
	{ 0x5068497, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6492e339, "bpf_trace_run3" },
	{ 0x9ecf6051, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c76cc15, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x48fa88c, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2903902f, "device_match_name" },
	{ 0x9d1b9fc9, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83817cd2, "genl_unregister_family" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x79a31840, "genl_register_family" },
	{ 0xd0cdd56b, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb57e216c, "register_pernet_device" },
	{ 0x6e1c4f12, "get_net_ns_by_fd" },
	{ 0xe5e185f2, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0xa768ecb4, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x711d77be, "bpf_trace_run4" },
	{ 0xcc990b56, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf93ed23b, "dev_set_name" },
	{ 0xecf58a93, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x10482c58, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xec398b90, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x14dc04fe, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3e76f164, "device_initialize" },
	{ 0x5c0a78dc, "genlmsg_put" },
	{ 0x9eeeca51, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0xb4e21afe, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee931c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9a07f0fb, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95720bb8, "device_rename" },
	{ 0x54e4ad15, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fea3dfb, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7491cb5, "__alloc_skb" },
	{ 0xab658434, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb1613586, "__dev_get_by_index" },
	{ 0xd9e13dec, "perf_trace_run_bpf_submit" },
	{ 0xeee0a7d5, "init_net" },
	{ 0xffea2966, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x231e1ce2, "device_add" },
	{ 0xe339aab2, "netlink_unicast" },
	{ 0x204d91e5, "dev_get_by_index" },
	{ 0x6bf95b10, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x471cb2c9, "skb_push" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2E003EFA21DAC206E8F90");
