#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xbd3854d1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xf650d8b4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x18c9e6cf, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x35c47b44, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x8d6d87f0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x15529c17, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x2ac55634, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x04322a9c, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x3be22f55, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xa1c322aa, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x2ff8fda0, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x33702fd0, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x176a52ba, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x98083f53, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x16e75f96, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xd03933a3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x9d5dfe0b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x9e026d6f, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xdec6ebf8, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x4a383e0b, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xa7f53257, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9e13dec, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48fa88c, "trace_event_buffer_reserve" },
	{ 0x54e4ad15, "trace_event_buffer_commit" },
	{ 0xec398b90, "__trace_trigger_soft_disabled" },
	{ 0x10482c58, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x14dc04fe, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2d96ca04, "bpf_trace_run1" },
	{ 0xb4e21afe, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb57e216c, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x50b7b1b4, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xeee31e09, "sock_create_kern" },
	{ 0xe6a93c77, "kernel_bind" },
	{ 0xa5f3115a, "kernel_connect" },
	{ 0x5188e557, "udp_sock_create6" },
	{ 0x8de30dad, "kernel_sock_shutdown" },
	{ 0xb11b0e, "sock_release" },
	{ 0x8628980e, "udp_sock_create4" },
	{ 0x1ce0b90b, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf13f0630, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe8d3b0b5, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6bf95b10, "kfree_skb_reason" },
	{ 0xa46a025e, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7f524c0b, "udp_set_csum" },
	{ 0x8fb52b67, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x83e0f2f3, "pskb_expand_head" },
	{ 0xb65c9caf, "udp6_set_csum" },
	{ 0xb65cc6ae, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x411a052c, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x41c2ede8, "sockfd_lookup" },
	{ 0x581f5be4, "lock_sock_nested" },
	{ 0xa2625e33, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x42c5ff1b, "fput" },
	{ 0xe417e5ad, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3a43d9e, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf5f04255, "__pskb_pull_tail" },
	{ 0xe44e624b, "trace_event_reg" },
	{ 0x9eeeca51, "trace_event_raw_init" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "D293F8DC0B380930B28E0B4");
